/**
* <h2> <span> Summary </span></h2>
* <p>A numeric value representing infinity.
* </p>
* <table border="1" style="background:#FFFFFF none repeat scroll 0%;border: 1px solid #666666;margin-bottom:10px;margin-top:10px" width="100%">
* <tr>
* <td colspan="2" rowspan="1" style="background:#DDDDDD none repeat scroll 0%; border:1px solid #BBBBBB;">Core Global Property</td>
* </tr>
* <tr>
* <td colspan="1" rowspan="1">Implemented in:</td>
* <td colspan="1" rowspan="1">JavaScript 1.3</td>
* </tr>
* <tr>
* <td colspan="1" rowspan="1">ECMA Version:</td>
* <td colspan="1" rowspan="1">ECMA-262</td>
* </tr>
* </table>
* <h2> <span> Syntax </span></h2>
* <p><code>
* Infinity
* </code>
* </p>
* <h2> <span> Description </span></h2>
* <p><code>Infinity</code> is a property of the <i>global object</i>, i.e. it is a variable in global scope.
* </p><p>The initial value of <code>Infinity</code> is <code><a href="Number:POSITIVE_INFINITY" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number:POSITIVE INFINITY">Number.POSITIVE_INFINITY</a></code>. The value <code>Infinity</code> (positive infinity) is greater than any other number including itself. This value behaves mathematically like infinity; for example, anything multiplied by <code>Infinity</code> is <code>Infinity</code>, and anything divided by <code>Infinity</code> is 0.
* </p>
* <h2> <span> See also </span></h2>
* <p><a href="Core_JavaScript_1.5_Reference:Global_Objects:Number:NEGATIVE_INFINITY" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number:NEGATIVE INFINITY">Number.NEGATIVE_INFINITY</a>,
* <a href="Number:POSITIVE_INFINITY" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number:POSITIVE INFINITY">Number.POSITIVE_INFINITY</a>
* </p>
* 
* <ul style="list-style-type:none;font-size:0.9em;text-align:center">
* <li id="f-copyright">Content is available under <a href="http://developer.mozilla.org/en/docs/MDC:Copyrights" shape="rect" title="MDC:Copyrights">these licenses</a>.</li>	  		<li id="f-about"><a href="http://developer.mozilla.org/en/docs/MDC:About" shape="rect" title="MDC:About">About MDC</a></li>	  				</ul>
*/
var Infinity = {
  // This is just a stub for a builtin native JavaScript object.
};
/**
* <h2> <span> Summary </span></h2>
* <p>A numeric value representing infinity.
* </p>
* <table border="1" style="background:#FFFFFF none repeat scroll 0%;border: 1px solid #666666;margin-bottom:10px;margin-top:10px" width="100%">
* <tr>
* <td colspan="2" rowspan="1" style="background:#DDDDDD none repeat scroll 0%; border:1px solid #BBBBBB;">Core Global Property</td>
* </tr>
* <tr>
* <td colspan="1" rowspan="1">Implemented in:</td>
* <td colspan="1" rowspan="1">JavaScript 1.3</td>
* </tr>
* <tr>
* <td colspan="1" rowspan="1">ECMA Version:</td>
* <td colspan="1" rowspan="1">ECMA-262</td>
* </tr>
* </table>
* <h2> <span> Syntax </span></h2>
* <p><code>
* Infinity
* </code>
* </p>
* <h2> <span> Description </span></h2>
* <p><code>Infinity</code> is a property of the <i>global object</i>, i.e. it is a variable in global scope.
* </p><p>The initial value of <code>Infinity</code> is <code><a href="Number:POSITIVE_INFINITY" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number:POSITIVE INFINITY">Number.POSITIVE_INFINITY</a></code>. The value <code>Infinity</code> (positive infinity) is greater than any other number including itself. This value behaves mathematically like infinity; for example, anything multiplied by <code>Infinity</code> is <code>Infinity</code>, and anything divided by <code>Infinity</code> is 0.
* </p>
* <h2> <span> See also </span></h2>
* <p><a href="Core_JavaScript_1.5_Reference:Global_Objects:Number:NEGATIVE_INFINITY" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number:NEGATIVE INFINITY">Number.NEGATIVE_INFINITY</a>,
* <a href="Number:POSITIVE_INFINITY" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number:POSITIVE INFINITY">Number.POSITIVE_INFINITY</a>
* </p>
* 
* <ul style="list-style-type:none;font-size:0.9em;text-align:center">
* <li id="f-copyright">Content is available under <a href="http://developer.mozilla.org/en/docs/MDC:Copyrights" shape="rect" title="MDC:Copyrights">these licenses</a>.</li>	  		<li id="f-about"><a href="http://developer.mozilla.org/en/docs/MDC:About" shape="rect" title="MDC:About">About MDC</a></li>	  				</ul>
*/
function Infinity() {};

