var HTMLSelectElement = Object.extend(new HTMLElement(), {
  // This is just a stub for a builtin native JavaScript object.
/**
 * Add a new element to the collection of OPTION elements for this SELECT . This
 * method is the equivalent of the appendChild method of
 * the Node interface if the before parameter is null . It is equivalent to the insertBefore method on the parent of before in all other cases. This method may have no
 * effect if the new element is not an OPTION or an OPTGROUP .
 * @param {HTMLElement} element of type HTMLElement The element to add.
 * @param {HTMLElement} before of type HTMLElement The element to insert before, or null for the tail
 * of the list.
 * @type void
 */
add: function(element, before) {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * Removes keyboard focus from this element.
 * @type void
 */
blur: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * The control is unavailable in this context. See the 
 * disabled attribute definition in HTML 4.01.
 * @type Boolean
 */
disabled: undefined,
/**
 * Gives keyboard focus to this element.
 * @type void
 */
focus: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * Returns the FORM element containing this control.
 * Returns null if this control is not within the context
 * of a form.
 * @type HTMLFormElement
 */
form: undefined,
/**
 * The number of options in this SELECT.
 * @type Number
 */
length: undefined,
/**
 * If true, multiple OPTION elements may be selected
 * in this SELECT. See the 
 * multiple attribute definition in HTML 4.01.
 * @type Boolean
 */
multiple: undefined,
/**
 * The frame name (object of the target attribute).
 * See the 
 * name attribute definition in HTML 4.01.
 * @type String
 */
name: undefined,
/**
 * The collection of OPTION elements contained by
 * this element.
 * @type HTMLOptionsCollection
 */
options: undefined,
/**
 * Remove an element from the collection of OPTION elements for this SELECT . Does
 * nothing if no element has the given index.
 * @param {Number} index of type long The index of the item to remove, starting from 0.
 * @type void
 */
remove: function(index) {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * The ordinal index of the selected option, starting from 0. The
 * value -1 is returned if no element is selected. If multiple options
 * are selected, the index of the first selected option is
 * returned.
 * @type Number
 */
selectedIndex: undefined,
/**
 * The height of the rule. See the 
 * size attribute definition in HTML 4.01. This attribute is
 * deprecated in HTML 4.01.
 * @type Number
 */
size: undefined,
/**
 * Index that represents the element's position in the tabbing
 * order. See the 
 * tabindex attribute definition in HTML 4.01.
 * @type Number
 */
tabIndex: undefined,
/**
 * The content type of the script language. See the 
 * type attribute definition in HTML 4.01.
 * @type String
 */
type: undefined,
/**
 * The value of a run-time parameter. See the 
 * value attribute definition in HTML 4.01.
 * @type String
 */
value: undefined,
});

